#!/bin/sh

# intern/check_requirements.sh

# Voraussetzung: aktuelles Verzeichnis ist parent von intern, d.h. dem, in dem sich dieses Skript befindet.

# Wenn ./update_kernel.sh nicht vorhanden ist, d.h. der kernel behalten werden soll, pruefen ob dessen bisherige version der erwarteten entspricht
# Analog fuer bootloader und rootfs

for t in kernel rootfs
do
	if ! [ -f update_${t}.sh ]
	then # nur dann version zu pruefen, wenn ${t} behalten wird
		echo "Behalte ${t}, pruefe bestehende Version ..."
		version=$(cat /versions/version_${t}.txt)
		required_version=$(cat version_${t}.txt)
	
		if [ "$version" != "$required_version" ]
		then
			echo "Bestehende Version von $t ($version) stimmt nicht mit der erwarteten ($required_version) ueberein!"
			exit 1
		fi
	else
		echo "Ueberschreibe ${t}, keine Versionspruefung erforderlich ..."
	fi
done

if ! [ -f update_bootloader.sh ]
then
	echo "Behalte bootloader, pruefe bestehende Version ..."
	bootloader_version=$(cat /data/update/version_bootloader.txt)	
	required_bootloader_version=$(cat version_bootloader.txt)

	if [ "$bootloader_version" != "$required_bootloader_version" ]
	then
		echo "Bestehende Version von bootloader ($bootloader_version) stimmt nicht mit der erwarteten ($required_bootloader_version) ueberein!"
		exit 1
	fi
else
	echo "Ueberschreibe bootloader, keine Versionspruefung erforderlich ..."
fi

